Subject: Re: bug#6591: 24.0.50; incorrect doc for `catch'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Jul 2010 18:55:18 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Sat, 10 Jul 2010 08:44:47 -0700
> 
> > > Ah! Then the syntax should be (catch TAG . BODY) or similar.
> >                                           ^^^
> > Why the period?
> 
> Same reason as your special `BODY...' syntax.  It means _splice in_ the list
> BODY.  Or if you like, it means that BODY is the cdr of the sexp as a list.  Or
> if you like, it is equivalent to ,@BODY in backquote syntax.
> 
> You cannot write just (catch TAG BODY).  There must be some indication (`.',
> `...' or other) to distinguish normal substitution for a placeholder from
> splicing substitution for a placeholder.  Substitution for TAG is treated
> differently from substitution for BODY.
> 
> But are you just playing/kidding here? or arguing?  What's the point?  I'm sure
> that you understand the syntax (A . B) in Lisp and in our docs.  I assume you
> are trying to make some point, but I fail to see it.

I was thinking of modifying the docs to say `catch TAG BODY' and
explaining in the text that BODY can be one or more forms.

The problem with the period is that it could be misunderstood to mean
that a period must be present in the catch form at this point, which
is false.